Delete a banning rule
Updated
Deletes a specified banning rule.
https://api.agora.io/dev/v1/kicking-ruleUse this endpoint to delete a specified banning rule.
Request
-
The request URL and request body is case-sensitive. All requests must use HTTPS.
-
Content-Type:application/json -
The request header must contain the
Authorizationfield. For details, see RESTful authentication.
Request Body
application/json
appidstringThe App ID of the project. You can get it through one of the following methods:
- Copy from the Agora Console
- Call the Get all projects API, and read the value of the
vendor_keyfield in the response body.
idnumberThe ID of the rule to delete.
Response
-
A
200status code indicates success. The response body contains the following parameters: -
If the status code is not
200, the request fails. See themessagefield in the response body for the reason for this failure. Refer to Response status codes for details.
Response Body
A 200 status code indicates success. The response body contains the result of the request.
statusstringThe status of this request. success means the request succeeds.
idnumberThe ID of the deleted rule.
Request examples
curl --request DELETE \ --url https://api.sd-rtn.com/dev/v1/kicking-rule \ --header 'Accept: application/json' \ --header 'Authorization: Basic <your_base64_encoded_credentials>' \ --header 'Content-Type: application/json' \ --data '{ "appid": "4855xxxxxxxxxxxxxxxxxxxxxxxxeae2", "id": 1953}'Response example
{ "status": "success", "id": 1953}